DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-b | -g | -H | -h | -k | -m | -P] [-acilnT] [-], [-t type] [file | filesystem ...]

DESCRIPTION
The df utility displays statistics about the amount of free disk space on the specified file system or on the file system of which file is a part. By default block counts are displayed with an assumed block size of 512 bytes. If neither a file or a file system operand is specified, statistics for all mounted file systems are displayed (subject to the -t option below).

The following options are available:

-a  Show all mount points, including those that were mounted with the MNT_IGNORE flag. This is implied for file systems specified on the command line.

-b  Explicitly use 512 byte blocks, overriding any BLOCKSIZE specification from the environment. This is the same as the -P option. The -k option overrides this option.

-c  Display a grand total.

-g  Use 1073741824 byte (1 Gibibyte) blocks rather than the default. This overrides any BLOCKSIZE specification from the environment.

-h  “Human-readable” output. Use unit suffixes: Byte, Kibibyte, Mebibyte, Gibibyte, Tebibyte and Pebibyte (based on powers of 1024) in order to reduce the number of digits to four or fewer.

-H  “Human-readable” output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte (based on powers of 1000) in order to reduce the number of digits to four or fewer.

-i  Include statistics on the number of free and used inodes. In conjunction with the -h or -H options, the number of inodes is scaled by powers of 1000.

-k  Use 1024 byte (1 Kibibyte) blocks rather than the default. This overrides the -P option and any BLOCKSIZE specification from the environment.

-l  Only display information about locally-mounted file systems.

-m  Use 1048576 byte (1 Mebibyte) blocks rather than the default. This overrides any BLOCKSIZE specification from the environment.

-n  Print out the previously obtained statistics from the file systems. This option should be used if it is possible that one or more file systems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the file systems, but will respond with the possibly stale statistics that were previously obtained.

-P  Explicitly use 512 byte blocks, overriding any BLOCKSIZE specification from the environment. This is the same as the -b option. The -k option overrides this option.

-t  Only print out statistics for file systems of the specified types. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. For example, the df command:

        df -t nonfs,nullfs

    lists all file systems except those of type NFS and NULLFS. The lsvfs(1) command can be used to find out the types of file systems that are available on the system.

-T  Include file system type.

-,  (Comma) Print sizes grouped and separated by thousands using the non-monetary separator returned by localeconv(3), typically a comma or period. If no locale is set, or the locale does not have a non-monetary separator, this option has no effect.

ENVIRONMENT

BLOCKSIZE
    Specifies the units in which to report block counts. This uses getbsize(3), which allows units of bytes or numbers scaled with the letters k (for multiples of 1024 bytes), m (for multiples of 1048576 bytes) or g (for gibibytes). The allowed range is 512 bytes to 1 GB. If the value is outside, it will be set to the appropriate limit.

SEE ALSO
lsvfs(1), quota(1), fstatfs(2), getfsstat(2), statfs(2), getbsize(3), getmntinfo(3), localeconv(3), fstab(5), mount(8), pstat(8), quot(8), swapinfo(8)

STANDARDS
With the exception of most options, the df utility conforms to p1003.1-2004, which defines only the -k, -P and -t options.

HISTORY
A df command appeared in AT&T UNIX.

BUGS
The -n flag is ignored if a file or file system is specified. Also, if a mount point is not accessible by the user, it is possible that the file system information could be stale.

The -b and -P options are identical. The former comes from the BSD tradition, and the latter is required for p1003.1-2004 conformity.